#!/bin/sh

. ${OPENFOAM_BASHRC}
mv sample cavity/system/sample 

cd cavity
if [ $? != 0 ];then
  echo copy sampling setting file failed
  exit 1
fi

postProcess -func sample -latestTime
if [ $? != 0 ];then
  echo sampling failed
  exit 2
fi
  
foamToVTK  -latestTime
if [ $? != 0 ];then
  echo convert to VTK failed
  exit 3
fi

exit 0
